<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:27 CEST 2019 -->
<title>ProtocolDescriptor (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ProtocolDescriptor (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" target="_top">Frames</a></li>
<li><a href="ProtocolDescriptor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Interface ProtocolDescriptor" class="title">Interface ProtocolDescriptor</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire">AbstractProtocolDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version10/Version10Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version10">Version10Descriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version11/Version11Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version11">Version11Descriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version12">Version12Descriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/version13/Version13Descriptor.html" title="class in org.firebirdsql.gds.ng.wire.version13">Version13Descriptor</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ProtocolDescriptor</span></pre>
<div class="block">Descriptor of protocol information.
 <p>
 The driver maintains a list of default protocol descriptors that are loaded using a <a href="https://docs.oracle.com/javase/8/docs/api/java/util/ServiceLoader.html?is-external=true" title="class or interface in java.util"><code>ServiceLoader</code></a>
 from the file <code>META-INF/services/org.firebirdsql.gds.ng.wire.ProtocolDescriptor</code>
 </p>
 <p>
 Protocol descriptors loaded this way are required to adhere to the following rules:
 <ul>
 <li>They provide a no-arg constructor</li>
 <li>All instances of a specific implementation class created with the no-arg constructor have the
 same <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang"><code>Object.hashCode()</code></a>.</li>
 <li>All instances of a specific implementation class created with the no-arg constructor are considered equal to
 each other by the <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang"><code>Object.equals(Object)</code></a> implementation</li>
 </ul>
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createAsynchronousChannel-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createAsynchronousChannel</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</code>
<div class="block">Create a disconnected asynchronous channel.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createAttachServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createAttachServiceParameterBuffer</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</code>
<div class="block">Create an attach <a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a> implementation and populate it with supported properties for
 this protocol version.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/BlrCalculator.html" title="interface in org.firebirdsql.gds.ng.fields">BlrCalculator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createBlrCalculator-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createBlrCalculator</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</code>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/fields/BlrCalculator.html" title="interface in org.firebirdsql.gds.ng.fields"><code>BlrCalculator</code></a> implementation for this protocol version.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createDatabase-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">createDatabase</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection)</code>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireDatabase</code></a> implementation for this protocol.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createDatabaseParameterBuffer-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">createDatabaseParameterBuffer</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection)</code>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>DatabaseParameterBuffer</code></a> implementation and populate it with supported
 properties for this protocol version.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createInputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createInputBlob</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
               <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
               <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer,
               long&nbsp;blobId)</code>
<div class="block">Create an input <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireBlob</code></a> implementation for this protocol version.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createOutputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createOutputBlob</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
                <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</code>
<div class="block">Create an output <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireBlob</code></a> implementation for this protocol version.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createService-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createService</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</code>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireService</code></a> implementation for this protocol.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createServiceParameterBuffer</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</code>
<div class="block">Creates a normal <a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createServiceRequestBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createServiceRequestBuffer</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createStatement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createStatement</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</code>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><code>FbStatement</code></a> implementation for this protocol.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createTransaction-org.firebirdsql.gds.ng.wire.FbWireDatabase-int-org.firebirdsql.gds.ng.TransactionState-">createTransaction</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                 int&nbsp;transactionHandle,
                 <a href="../../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a>&nbsp;initialState)</code>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng"><code>FbTransaction</code></a> implementation for this protocol.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createWireOperations-org.firebirdsql.gds.ng.wire.WireConnection-org.firebirdsql.gds.ng.WarningMessageCallback-java.lang.Object-">createWireOperations</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a>&lt;?,?&gt;&nbsp;connection,
                    <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;defaultWarningMessageCallback,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;syncObject)</code>
<div class="block">Create an <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireOperations</code></a> implementation for this protocol version.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getArchitecture--">getArchitecture</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getMaximumType--">getMaximumType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getMinimumType--">getMinimumType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getVersion--">getVersion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getWeight--">getWeight</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersion</h4>
<pre>int&nbsp;getVersion()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The protocol version</dd>
</dl>
</li>
</ul>
<a name="getArchitecture--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArchitecture</h4>
<pre>int&nbsp;getArchitecture()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Protocol architecture</dd>
</dl>
</li>
</ul>
<a name="getMinimumType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimumType</h4>
<pre>int&nbsp;getMinimumType()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Minimum supported protocol type</dd>
</dl>
</li>
</ul>
<a name="getMaximumType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximumType</h4>
<pre>int&nbsp;getMaximumType()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Maximum supported protocol type</dd>
</dl>
</li>
</ul>
<a name="getWeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeight</h4>
<pre>int&nbsp;getWeight()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Preference weight</dd>
</dl>
</li>
</ul>
<a name="createDatabase-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDatabase</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;createDatabase(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection)</pre>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireDatabase</code></a> implementation for this protocol.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - WireDatabaseConnection to this database</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbWireDatabase implementation</dd>
</dl>
</li>
</ul>
<a name="createService-org.firebirdsql.gds.ng.wire.WireServiceConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createService</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a>&nbsp;createService(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</pre>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireService</code></a> implementation for this protocol.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - WireServiceConnection to this service</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbWireService implementation</dd>
</dl>
</li>
</ul>
<a name="createTransaction-org.firebirdsql.gds.ng.wire.FbWireDatabase-int-org.firebirdsql.gds.ng.TransactionState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTransaction</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;createTransaction(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                                    int&nbsp;transactionHandle,
                                    <a href="../../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a>&nbsp;initialState)</pre>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng"><code>FbTransaction</code></a> implementation for this protocol.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dd><code>transactionHandle</code> - Transaction handle</dd>
<dd><code>initialState</code> - Initial transaction state (either <a href="../../../../../org/firebirdsql/gds/ng/TransactionState.html#ACTIVE"><code>TransactionState.ACTIVE</code></a>
         or <a href="../../../../../org/firebirdsql/gds/ng/TransactionState.html#PREPARED"><code>TransactionState.PREPARED</code></a>).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbTransaction implementation</dd>
</dl>
</li>
</ul>
<a name="createStatement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStatement</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a>&nbsp;createStatement(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</pre>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><code>FbStatement</code></a> implementation for this protocol.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbStatement implementation</dd>
</dl>
</li>
</ul>
<a name="createDatabaseParameterBuffer-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDatabaseParameterBuffer</h4>
<pre><a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;createDatabaseParameterBuffer(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection)
                                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>DatabaseParameterBuffer</code></a> implementation and populate it with supported
 properties for this protocol version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>DatabaseParameterBuffer implementation</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="createAttachServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAttachServiceParameterBuffer</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;createAttachServiceParameterBuffer(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)
                                                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Create an attach <a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a> implementation and populate it with supported properties for
 this protocol version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ServiceParameterBuffer implementation for attach</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="createServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createServiceParameterBuffer</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;createServiceParameterBuffer(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</pre>
<div class="block">Creates a normal <a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ServiceParameterBuffer implementation</dd>
</dl>
</li>
</ul>
<a name="createServiceRequestBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createServiceRequestBuffer</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;createServiceRequestBuffer(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An empty service request buffer</dd>
</dl>
</li>
</ul>
<a name="createBlrCalculator-org.firebirdsql.gds.ng.wire.FbWireDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBlrCalculator</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/fields/BlrCalculator.html" title="interface in org.firebirdsql.gds.ng.fields">BlrCalculator</a>&nbsp;createBlrCalculator(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</pre>
<div class="block">Create <a href="../../../../../org/firebirdsql/gds/ng/fields/BlrCalculator.html" title="interface in org.firebirdsql.gds.ng.fields"><code>BlrCalculator</code></a> implementation for this protocol version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>BlrCalculator implementation</dd>
</dl>
</li>
</ul>
<a name="createOutputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createOutputBlob</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a>&nbsp;createOutputBlob(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                            <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
                            <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</pre>
<div class="block">Create an output <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireBlob</code></a> implementation for this protocol version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dd><code>transaction</code> - FbWireTransaction to associate with the blob</dd>
<dd><code>blobParameterBuffer</code> - Blob Parameter Buffer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbWireBlob implementation</dd>
</dl>
</li>
</ul>
<a name="createInputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInputBlob</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a>&nbsp;createInputBlob(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                           <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
                           <a href="../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer,
                           long&nbsp;blobId)</pre>
<div class="block">Create an input <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireBlob</code></a> implementation for this protocol version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dd><code>transaction</code> - FbWireTransaction to associate with the blob</dd>
<dd><code>blobParameterBuffer</code> - Blob Parameter Buffer</dd>
<dd><code>blobId</code> - Blob Id (must be non-zero for input blob)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbWireBlob implementation</dd>
</dl>
</li>
</ul>
<a name="createAsynchronousChannel-org.firebirdsql.gds.ng.wire.FbWireDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAsynchronousChannel</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a>&nbsp;createAsynchronousChannel(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</pre>
<div class="block">Create a disconnected asynchronous channel.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - The parent database handle.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Asynchronous channel implementation</dd>
</dl>
</li>
</ul>
<a name="createWireOperations-org.firebirdsql.gds.ng.wire.WireConnection-org.firebirdsql.gds.ng.WarningMessageCallback-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createWireOperations</h4>
<pre><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations</a>&nbsp;createWireOperations(<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a>&lt;?,?&gt;&nbsp;connection,
                                      <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;defaultWarningMessageCallback,
                                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;syncObject)</pre>
<div class="block">Create an <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireOperations</code></a> implementation for this protocol version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - WireConnection instance</dd>
<dd><code>defaultWarningMessageCallback</code> - Default warning message callback</dd>
<dd><code>syncObject</code> - Object to use for synchronization</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Wire operations implementation</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" target="_top">Frames</a></li>
<li><a href="ProtocolDescriptor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
